<?php

declare(strict_types=1);

namespace App\Payload;

use App\ValueObject\Point;

final readonly class SignalPayload
{
    public function __construct(
        public Point $signalLocation,
        public Point $userLocation,
    ) {
    }
}
